# $Revision: 1.8 $, $Date: 2006/11/25 15:31:21 $
Summary:	A Doom level (wad) editor
Summary(pl):	Edytor poziomw Dooma (wad)
Name:		yadex
Version:	1.7.0
Release:	1
Epoch:		0
License:	GPL v2
Group:		Applications/Games
URL:		http://www.teaser.fr/~amajorel/yadex/
Source0:	http://www.teaser.fr/~amajorel/yadex/%{name}-%{version}.tar.gz
# Source0-md5:	d341abe066525394082edfd520af86ae
Patch0:		%{name}-typedef.patch
Patch1:		http://glbsp.sourceforge.net/yadex/Yadex_170_ALL.diff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_datadir	/usr/share/games/%{name}

%description
Yadex is a Doom level (wad) editor for Unix systems running X,
including Linux. It supports Doom alpha, Doom beta, Doom, Ultimate
Doom, Final Doom, Doom II, Heretic and also, in a more or less limited
way, Hexen and Strife.

Yadex is descended from DEU 5.21. Therefore, as you might expect, it's
a rather low-level editor that requires you to take care of a lot of
detail but on the flip side allows you to control very precisely what
you are doing. In addition, it has many advanced functions that DEU
didn't have, to make certain tedious tasks easy.

%description -l pl
Yadex to edytor poziomw Dooma (wad) dla systemw uniksowych z X, w
tym Linuksa. Obsuguje Dooma alpha, Dooma beta, Dooma, Ultimate Dooma,
Final Dooma, Dooma II, Heretica, a take, w mniej lub bardziej
ograniczony sposb, Hexena i Strife.

Yadex wywodzi si z DEU 5.21. Dlatego, jak mona byoby oczekiwa,
jest to raczej niskopoziomowy edytor wymagajcy dbania o wiele
szczegw, ale z drugiej strony umoliwiajcy bardzo precyzyjn
kontrol nad tym, co robimy. Ponadto ma wiele zaawansowanych funkcji,
ktrych nie mia DEU, a uatwiajcych niektre zadania.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e '/iwad/s/local\///' yadex.cfg

%build
# not gnu configure
./configure \
	--prefix %{_prefix} \
	--cc "%{__cc}" \
	--cxx "%{__cxx}"

%{__make} \
    X11LIBDIR=/usr/X11R6/%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man6,%{_datadir}}

install obj/0/yadex $RPM_BUILD_ROOT%{_bindir}
install ygd/* $RPM_BUILD_ROOT%{_datadir}
install doc/yadex.6 $RPM_BUILD_ROOT%{_mandir}/man6
install yadex.cfg $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES FAQ README TODO VERSION
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}
%{_mandir}/man6/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yadex.spec,v $
Revision 1.8  2006/11/25 15:31:21  glen
- rel 1

Revision 1.7  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.6  2005/07/23 14:52:04  glen
- add more patches from http://glbsp.sourceforge.net/yadex/

Revision 1.5  2005/07/23 14:47:16  glen
- add essental dependency fix patch

Revision 1.4  2005/07/23 14:42:50  glen
- add types fix for amd64

Revision 1.3  2005/07/23 00:55:03  glen
- amd64 fix
- cleanup

Revision 1.2  2005/02/03 23:18:56  qboosh
- pl, quote __cc

Revision 1.1  2005/01/28 19:01:49  glen
- new
